Add custom content version

Add a new custom content version using an application/json POST with all required information in the POST body.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Id of teamsite, a guid or '1' (default teamsite)

string
required

Id of library content, a guid or 'root' (root folder)

Body Params

Request body samples

{
    "customSchemaInfo": {
        "id": "8264b50a-1199-46a4-8e1b-b5e890c0c826",
        "versionId": "b4335a65-ec74-4584-9344-a1927e336afb",
        "versionNumber": "v1.0"
    },
    "customSchemaFields": [
        {
            "id": "4952b39b-ddea-4f97-8520-5601d47a0dd7",
            "name": "Name",
            "order": 0,
            "type": "text",
            "value": {
                "stringValue": "cos-postman-test-case0"
            }
        },
        {
            "id": "d7ffc04a-1a87-44c3-8637-85aaaad4d4f6",
            "name": "Date",
            "order": 1,
            "type": "dateTime",
            "value": {
                "stringValue": "2023-04-22T00:00:00.000Z"
            }
        },
        {
            "id": "4e299ed6-5ef1-49db-a2c9-27eba2248ff6",
            "name": "attach content",
            "order": 2,
            "type": "attachment",
            "value": {
                "attachedFileInfo": {
                    "contentName": "Word Art.png",
                    "isAttachedFromLibrary": false,
                    "attachFileSourceBlobId": "e95ff33f-7a47-4ff1-a0f6-ee34c7a439da",
                    "attachFileThumbnailId": "e95ff33f-7a47-4ff1-a0f6-ee34c7a439da",
                    "relativeIconHostUrl": "",
                    "format": "png"
                }
            }
        },
        {
            "id": "f73cd240-f974-40a1-9f69-6cad7a101cd0",
            "name": "Single select",
            "order": 3,
            "type": "select",
            "value": {
                "choices": [
                    {
                        "id": "3820e627-37fc-45d7-a416-aee5dea662ca",
                        "name": "option 2"
                    }
                ]
            }
        },
        {
            "id": "fa84cc93-0413-4d2e-b08a-2338235a3a37",
            "name": "Options",
            "order": 4,
            "type": "multiSelect",
            "value": {
                "choices": [
                    {
                        "id": "0f9f26ae-39e6-4add-8957-4d30cc72502d",
                        "name": "option 2"
                    },
                    {
                        "id": "02fbb50e-3672-4494-ba2e-746198d07b7f",
                        "name": "option 3"
                    }
                ]
            }
        },
        {
            "id": "afbc3a79-3bd4-429c-8482-966a70fb6113",
            "name": "bool",
            "order": 5,
            "type": "bool",
            "value": {
                "stringValue": "True"
            }
        },
        {
            "id": "92291122-cb10-4ff9-a7ab-ce73ce56f019",
            "name": "numeric",
            "order": 6,
            "type": "numeric",
            "value": {
                "stringValue": "3.1415926"
            }
        },
        {
            "id": "8015d0c3-b7d8-4aa3-9623-99e576607c1c",
            "name": "rich text",
            "order": 7,
            "type": "richText",
            "value": {
                "stringValue": "<div style=\"font-family: &quot;Source Sans Pro&quot;, &quot;Segoe UI&quot;, Frutiger, Helvetica, Arial; font-size: 10.5pt; color: rgb(51, 51, 51);\"><b><span style=\"font-size: 32pt;\">hello </span><span style=\"color: rgb(12, 136, 42);\">world</span></b></div>"
            }
        },
        {
            "id": "c972e15b-28ed-424e-b314-02f32f3daf82",
            "name": "date range",
            "order": 8,
            "type": "dateTimeRange",
            "value": {
                "stringArray": [
                    "2023-04-22T00:00:00.0000000Z",
                    "2023-05-11T00:00:00.0000000Z"
                ]
            }
        }        
    ]
}

Information needed to create new version of a custom content

customSchemaInfo
object

Infomation of custom content type used to create custom content

customSchemaFields
array of objects | null

Infomation of custom content type fields used to create custom content

customSchemaFields
Headers
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json